/* 
 * FreeSWITCH Modular Media Switching Software Library / Soft-Switch Application
 * Copyright (C) 2005/2006, Anthony Minessale II <anthmct@yahoo.com>
 *
 * Version: MPL 1.1
 *
 * The contents of this file are subject to the Mozilla Public License Version
 * 1.1 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 * http://www.mozilla.org/MPL/
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is FreeSWITCH Modular Media Switching Software Library / Soft-Switch Application
 *
 * The Initial Developer of the Original Code is
 * Anthony Minessale II <anthmct@yahoo.com>
 * Portions created by the Initial Developer are Copyright (C)
 * the Initial Developer. All Rights Reserved.
 *
 * Contributor(s):
 * 
 *
 *
 * mod_squirrelfish.c -- Squirrelfish (WebKit JavaScript Engine) Language Module
 *
 */
#ifndef _MOD_SQUIRRELFISH_H_
#define _MOD_SQUIRRELFISH_H_

/*
 * Public defines and typedefs
 */
typedef JSValueRef (*JSFunctionCB_t)(JSContextRef context, JSObjectRef functionObject, JSObjectRef thisObject,
			size_t argumentCount, const JSValueRef arguments[], JSValueRef* exception);

typedef JSClassRef (*createClassCB_t)(JSContextRef context);

typedef JSValueRef (*JSPropertyGetterCB_t)(JSContextRef, JSObjectRef);
typedef bool (*JSPropertySetterCB_t)(JSContextRef, JSObjectRef, JSValueRef value, JSValueRef *exception);

#endif

